Package com.enonic.xp.content

## Class ContentValidatorParams.Builder

- java.lang.Object
- - com.enonic.xp.content.ContentValidatorParams.Builder

- Enclosing class:
    ContentValidatorParams

      public static final class ContentValidatorParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentValidatorParams` | `build()` |
    `ContentValidatorParams.Builder` | `contentId​(ContentId contentId)` |
    `ContentValidatorParams.Builder` | `contentType​(ContentType contentType)` |
    `ContentValidatorParams.Builder` | `createAttachments​(CreateAttachments createAttachments)` |
    `ContentValidatorParams.Builder` | `data​(PropertyTree contentData)` |
    `ContentValidatorParams.Builder` | `displayName​(String displayName)` |
    `ContentValidatorParams.Builder` | `extraDatas​(ExtraDatas extraDatas)` |
    `ContentValidatorParams.Builder` | `name​(ContentName name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### contentId

          public ContentValidatorParams.Builder contentId​(ContentId contentId)

    - #### contentType

          public ContentValidatorParams.Builder contentType​(ContentType contentType)

    - #### name

          public ContentValidatorParams.Builder name​(ContentName name)

    - #### displayName

          public ContentValidatorParams.Builder displayName​(String displayName)

    - #### data

          public ContentValidatorParams.Builder data​(PropertyTree contentData)

    - #### extraDatas

          public ContentValidatorParams.Builder extraDatas​(ExtraDatas extraDatas)

    - #### createAttachments

          public ContentValidatorParams.Builder createAttachments​(CreateAttachments createAttachments)

    - #### build

          public ContentValidatorParams build()